LibreOffice LibreOffice 25.2 SDK API Reference

Public Attributes | List of all members
XTopWindow2 Interface Reference

extends XTopWindow with additional functionality More...

`import"XTopWindow2.idl";`

Inheritance diagram for XTopWindow2:

## Public Attributes
boolean | IsMaximized
| controls whether the window is currently maximized More...
boolean | IsMinimized
| controls whether the window is currently minimized More...
long | Display { set raises(::com::sun::star::lang::IndexOutOfBoundsException); }
| controls on which display the window is shown. More...

## Additional Inherited Members
Public Member Functions inherited from XTopWindow
void | addTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| adds the specified top window listener to receive window events from this window. More...
void | removeTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| removes the specified top window listener so that it no longer receives window events from this window. More...
void | toFront ()
| places this window at the top of the stacking order and shows it in front of any other windows. More...
void | toBack ()
| places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows. More...
void | setMenuBar ([in] com::sun::star::awt::XMenuBar xMenu)
| sets a menu bar. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

extends XTopWindow with additional functionality

## Member Data Documentation

## ◆ Display

long Display
set raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |
| attribute

controls on which display the window is shown.

When retrieving this property, in case the window is positioned on multiple displays, the number returned will be of the display containing the upper left pixel of the frame area (that is of the client area on system decorated windows, or the frame area of undecorated resp. owner decorated windows).

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if you attempt to set this property to a value which does not correspond to the number of an existing screen.

See also
  com::sun::star::awt::DisplayAccess
  com::sun::star::awt::DisplayInfo

## ◆ IsMaximized

boolean IsMaximized
| attribute

controls whether the window is currently maximized

## ◆ IsMinimized

boolean IsMinimized
| attribute

controls whether the window is currently minimized

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTopWindow2.idl